<?php namespace Api\Lib;
use Dever;
class Spec
{
    # 获取规格数据
    public function manage($api_id)
    {
        $result = array();
        if ($api_id) {
            $result = Dever::db('spec', 'api')->select(array('api_id' => $api_id));
            if ($result) {
                foreach ($result as $k => $v) {
                    $result[$k]['type'] = 'show';
                    $result[$k]['width'] = '100';
                    $result[$k]['show'] = true;
                    $result[$k]['fixed'] = true;
                    $result[$k]['key'] = $v['name'];
                    $value = Dever::db('spec_value', 'api')->select(array('api_id' => $api_id, 'spec_id' => $v['id']));
                    if ($value) {
                        foreach ($value as $k1 => $v1) {
                            $value[$k1]['parent'] = $result[$k]['key'];
                            $value[$k1]['name'] = $v1['value'];
                            $value[$k1]['key'] = $v1['value'];
                            if ($v1['is_checked'] == 1) {
                                $value[$k1]['checked'] = true;
                            } else {
                                $value[$k1]['checked'] = false;
                            }
                        }
                    }
                    $result[$k]['value'] = $value;
                }
            }
        }
        return $result;
    }
}