<?php
$app_id = Dever::input('set')['app_id'] ?? 0;
return array
(
    'list' => array
    (
        'where' => array('app_id' => $app_id),
        'field'      => array
        (
            'id',
            'name',
            'key',
            'type',
            'status' => array
            (
                'type' => 'switch',
                'show'  => '{status}',
                'active_value' => 1,
                'inactive_value' => 2,
            ),
            'cdate',
        ),
        'data_button' => array
        (
            '编辑' => array('edit', array('app_id' => $app_id)),
        ),
        'button' => array
        (
            '新增' => array('add', array('app_id' => $app_id)),
        ),
        'search' => array
        (
            'app_id' => 'hidden',
            'name',
            'key',
            'type',
        ),
    ),
    'update' => array
    (
        'end' => 'api/app.update',
        'tab' => array
        (
            '基本设置' => 'app_id,name,key,desc,cron_date,cron_time',
            '接口设置' => 'type,api/app_func_work',
        ),
        'field'    => array
        (
            'app_id' => 'hidden',
            'name',
            'type',
            'key' => array
            (
                'desc' => '如果为空，将自动按照名称拼音生成',
            ),
            'desc' => 'textarea',
            'status' => array
            (
                'type' => 'radio',
            ),
            'cron_date' => array
            (
                'type' => 'date',
                'date_type' => 'datetime',
            ),
            'cron_time' => array
            (
                'type' => 'text',
                'desc' => '直接输入秒数，如60，就是间隔60秒执行一次，为0则不定时执行',
            ),
            'api/app_func_work' => array
            (
                'name' => '功能接口',
                'desc' => '设置功能包含的接口',
                'where'  => array('app_func_id' => 'id'),
            ),
        ),
    ),
);