<?php
$config = array
(
    'source' => 'api/platform',
    'list' => array
    (
        'field'      => array
        (
            'id',
            'name',
            'host',
            //'method',
        ),
        'data_button' => array
        (
            '设置' => 'edit',
            '证书' => array('route', array
            (
                'path' => 'api_manage/platform_cert',
                'param' => array
                (
                    'set' => array('platform_id' => 'id', 'menu' => 'api_manage/platform', 'parent' => 'api_manage/platform'),
                ),
            )),
            '加解密' => array('route', array
            (
                'path' => 'api_manage/platform_ssl',
                'param' => array
                (
                    'set' => array('platform_id' => 'id', 'menu' => 'api_manage/platform', 'parent' => 'api_manage/platform'),
                ),
            )),
            '接口' => array('route', array
            (
                'path' => 'api_manage/api',
                'param' => array
                (
                    'set' => array('platform_id' => 'id', 'menu' => 'api_manage/platform', 'parent' => 'api_manage/platform'),
                ),
            )),
        ),
        'button' => array
        (
            '新增' => array('fastadd', 'name,host'),
        ),
        'search' => array
        (
            'name',
        ),
    ),
    'update' => array
    (
        'desc' => "所有参数定义后均可以直接使用，也支持函数，参数值可以是变量、函数、字符串，如果函数中或者字符串中需要增加变量或者常量，请用{}隔开，默认常量：method请求方式，host主机域名，uri请求路径，sign签名，time秒时间戳，timestamp毫秒时间戳，nonce随机值，notify请求回调地址，order_num请求订单号，aad签名附加数据，body请求体参数，body_json请求体参数(json格式)",
        'tab' => array
        (
            '基本设置' => 'name,host,method,post_method,api/platform_setting',
            '标准请求' => 'api/platform_request_header,api/platform_request_body',
            '标准响应' => 'api/platform_response_header,api/platform_response_body',
            '响应体状态' => 'response_type,response_data,response_msg,response_code,api/platform_response_code',
            //'字段转换' => 'api/platform_convert',
            '签名设置' => 'sign_method,sign_name,sign_col,sign_verify_col,sign_type,sign_split,sign_split_type,sign_sort,sign_encode,sign_empty,sign_after,sign_verify_set,sign_verify_type',
        ),
        'field'    => array
        (
            'name',
            'host',
            'method' => array
            (
                'type' => 'radio',
                'control' => true,
            ),
            'post_method' => array
            (
                'type' => 'radio',
            ),

            'api/platform_setting' => array
            (
                'name' => '参数设置',
                'desc' => '设置对接平台需要的参数',
                'where'  => array('platform_id' => 'id'),
            ),

            'api/platform_request_body' => array
            (
                'name' => '请求体设置',
                'desc' => '设置平台标准请求体',
                'where'  => array('platform_id' => 'id'),
            ),
            'api/platform_request_header' => array
            (
                'name' => '请求头设置',
                'desc' => '设置平台标准请求头',
                'where'  => array('platform_id' => 'id'),
            ),

            'api/platform_response_body' => array
            (
                'name' => '标准响应体',
                'desc' => '设置平台标准响应体，只保留填写后的响应体，格式：data[].name，不是列表则为data.name',
                'where'  => array('platform_id' => 'id'),
            ),
            'api/platform_response_header' => array
            (
                'name' => '标准响应头',
                'desc' => '设置平台标准响应头，不填写不保留响应头，格式：data[].name，不是列表则为data.name',
                'where'  => array('platform_id' => 'id'),
            ),

            'api/platform_convert' => array
            (
                'name' => '字段转换',
                'where'  => array('platform_id' => 'id'),
                'desc' => '设置之后，所有平台过来的字段，都将按照这个转换规则进行转换',
            ),

            'response_type' => array
            (
                'type' => 'radio',
                //'control' => true,
            ),
            'response_data',
            'response_msg',
            'response_code',
            'api/platform_response_code' => array
            (
                'name' => '响应状态码',
                'desc' => '设置标准的响应状态码，也可以只设置成功值，其他值均为失败',
                'where'  => array('platform_id' => 'id'),
            ),

            'sign_name',
            'sign_method' => 'radio',
            'sign_col' => array
            (
                'type' => 'textarea',
                'autosize' => array('minRows' => 2),
                'desc' => '按顺序做加密，用+号隔开，为空则所有参数均参与签名',
            ),
            'sign_verify_col' => array
            (
                'type' => 'textarea',
                'autosize' => array('minRows' => 2),
                'desc' => '同上，为空则与签名参数相同',
            ),
            'sign_type' => 'radio',
            'sign_split',
            'sign_split_type' => 'radio',
            'sign_sort' => 'radio',
            'sign_encode' => array
            (
                'type' => 'radio',
                'desc' => '【如果参数中包含有特殊字符，是否进行转码】',
            ),
            'sign_empty' => array
            (
                'type' => 'radio',
                'desc' => '【如果参数中有空值，是否参与签名】',
            ),
            'sign_after' => 'radio',
            'sign_verify_type' => array
            (
                'type' => 'radio',
                'desc' => '【选择对签名解签，必须选择可以解签的签名加密方式】',
            ),
            'sign_verify_set' => 'checkbox',
        ),

        'control' => array
        (
            'post_method' => array
            (
                'method' => 2,
            ),
        ),
    ),
);
$id = Dever::input('id');
if (!$id) {
    $config['update']['desc'] = '';
    unset($config['update']['tab']);
}
return $config;