<?php
return array
(
    'name' => '接口配置',
    'order' => 'sort asc',
    'struct' => array
    (
        'platform_id' => array
        (
            'name'      => '平台',
            'type'      => 'int(11)',
            'value'     => 'api/platform',
        ),

        'name' => array
        (
            'name'      => '接口名称',
            'type'      => 'varchar(150)',
        ),

        'uri' => array
        (
            'name'      => '接口地址',
            'type'      => 'varchar(1000)',
        ),

        'sign_col' => array
        (
            'name'      => '签名加密参数',
            'type'      => 'varchar(1000)',
        ),

        'method' => array
        (
            'name'      => '请求方式',
            'type'      => 'tinyint(1)',
            'default'   => '-1',
            'value'     => array
            (
                -1 => '使用平台标准请求方式',
                1 => 'get',
                2 => 'post',
            ),
        ),

        'post_method' => array
        (
            'name'      => '请求头设置',
            'type'      => 'tinyint(1)',
            'default'   => '1',
            'value'     => array
            (
                1 => '普通表单：application/x-www-form-urlencoded',
                2 => '文件表单：multipart/form-data',
                3 => 'JSON：application/json',
            ),
        ),

        'notify_type' => array
        (
            'name'      => '是否有回调',
            'type'      => 'tinyint(1)',
            'default'   => '2',
            'value'     => array
            (
                1 => '有回调',
                2 => '无回调',
            ),
        ),

        'notify_success' => array
        (
            'name'      => '应答成功报文',
            'type'      => 'varchar(500)',
        ),

        'notify_error' => array
        (
            'name'      => '应答失败报文',
            'type'      => 'varchar(500)',
        ),

        'notify_sign_col' => array
        (
            'name'      => '签名加密参数',
            'type'      => 'varchar(1000)',
        ),

        'spec_type' => array
        (
            'name'      => '规格类型',
            'type'      => 'tinyint(1)',
            'default'   => 1,
            'value'     => array
            (
                1 => '单规格',
                2 => '多规格',
            ),
        ),

        'env_type' => array
        (
            'name'      => '运行环境',
            'type'      => 'tinyint(1)',
            'default'   => 1,
            'value'     => array
            (
                1 => '通用',
                2 => 'h5',
                3 => 'jsapi',
                4 => 'app',
                5 => '小程序',
                6 => 'pc',
            ),
        ),

        'status' => array
        (
            'name'      => '状态',
            'type'      => 'tinyint(1)',
            'default'   => 1,
            'value'     => array
            (
                1 => '展示',
                2 => '不展示',
            ),
        ),

        'sort' => array
        (
            'name'      => '排序',
            'type'      => 'int(11)',
            'default'   => '1',
        ),
    ),
);