<?php
$encrypt = array
(
    -1 => '无签名',
    -2 => 'md5',
    -3 => 'sha256',
    -4 => 'sha1',
);
$id = Dever::input('id');
if ($id) {
    $info = Dever::db('platform_ssl', 'api')->select(['platform_id' => $id]);
    if ($info) {
        foreach ($info as $k => $v) {
            $encrypt[$v['id']] = $v['name'];
        }
    }
}

return array
(
    'name' => '平台表',
    'struct' => array
    (
        'name' => array
        (
            'name'      => '平台名称',
            'type'      => 'varchar(32)',
        ),

        'host' => array
        (
            'name'      => '主机域名',
            'type'      => 'varchar(500)',
        ),

        'method' => array
        (
            'name'      => '请求方式',
            'type'      => 'tinyint(1)',
            'default'   => '2',
            'value'     => array
            (
                1 => 'get',
                2 => 'post',
            ),
        ),

        'post_method' => array
        (
            'name'      => '请求头设置',
            'type'      => 'tinyint(1)',
            'default'   => '1',
            'value'     => array
            (
                1 => '普通表单：application/x-www-form-urlencoded',
                2 => '文件表单：multipart/form-data',
                3 => 'JSON：application/json',
            ),
        ),

        'response_type' => array
        (
            'name'      => '响应数据类型',
            'type'      => 'tinyint(1)',
            'default'   => '2',
            'value'     => array
            (
                //1 => '无标准响应',
                2 => 'JSON',
                3 => 'XML',
            ),
        ),

        'response_data' => array
        (
            'name'      => '数据字段',
            'type'      => 'varchar(100)',
        ),

        'response_msg' => array
        (
            'name'      => '信息字段',
            'type'      => 'varchar(100)',
        ),

        'response_code' => array
        (
            'name'      => '状态码字段',
            'type'      => 'varchar(100)',
        ),

        'sign_name' => array
        (
            'name'      => '签名名称',
            'type'      => 'varchar(100)',
            //'default'   => 'sign',
        ),

        'sign_method' => array
        (
            'name'      => '签名加密方式',
            'type'      => 'int(11)',
            'default'   => '-1',
            'value'     => $encrypt,
        ),

        'sign_col' => array
        (
            'name'      => '签名参数',
            'type'      => 'varchar(1000)',
        ),

        'sign_verify_col' => array
        (
            'name'      => '验签参数',
            'type'      => 'varchar(1000)',
        ),

        'sign_verify_type' => array
        (
            'name'      => '验签类型',
            'type'      => 'tinyint(1)',
            'default'   => '2',
            'value'     => array
            (
                1 => '生成新签名做对比',
                2 => '对签名解签',
            ),
        ),

        'sign_verify_set' => array
        (
            'name'      => '验签设置',
            'type'      => 'varchar(50)',
            'default'   => '1',
            'value'     => array
            (
                1 => '回调验签',
                2 => '响应验签',
            ),
        ),

        'sign_type' => array
        (
            'name'      => '签名形式',
            'type'      => 'tinyint(1)',
            'default'   => '1',
            'value'     => array
            (
                1 => 'value形式',
                2 => 'key=value形式',
                3 => 'keyvalue形式',
            ),
        ),

        'sign_split' => array
        (
            'name'      => '签名分隔符',
            'type'      => 'varchar(30)',
        ),

        'sign_split_type' => array
        (
            'name'      => '分隔符处理',
            'type'      => 'tinyint(1)',
            'default'   => '1',
            'value'     => array
            (
                1 => '删除尾部分隔符',
                2 => '不删除',
            ),
        ),

        'sign_sort' => array
        (
            'name'      => '签名排序',
            'type'      => 'tinyint(1)',
            'default'   => '1',
            'value'     => array
            (
                1 => '按照签名参数排序',
                2 => '按照签名参数首字母正序排序',
                3 => '按照请求体首字母正序排序',
            ),
        ),

        'sign_encode' => array
        (
            'name'      => '签名转码',
            'type'      => 'tinyint(1)',
            'default'   => '1',
            'value'     => array
            (
                1 => '不处理',
                2 => 'urlencode编码',
            ),
        ),

        'sign_empty' => array
        (
            'name'      => '签名空值',
            'type'      => 'tinyint(1)',
            'default'   => '1',
            'value'     => array
            (
                1 => '参与加密',
                2 => '不参与加密',
            ),
        ),

        'sign_after' => array
        (
            'name'      => '加密后处理',
            'type'      => 'tinyint(1)',
            'default'   => '1',
            'value'     => array
            (
                1 => '不处理',
                2 => '转大写',
                3 => '转小写',
            ),
        ),
    ),
);