<?php
$type = array
(
    -1 => '字符串',
    -2 => '数值',
    //-3 => 'JSON',
    -4 => '时间戳',
    -5 => '时间格式：yyyy-MM-dd HH:mm:ss',
    -6 => '时间格式：yyyy-MM-DDTHH:mm:ss+TIMEZONE',
);
$id = Dever::input('id');
if ($id) {
    $api = Dever::db('api', 'api')->find($id);
    if ($api) {
        $info = Dever::db('platform_ssl', 'api')->select(['platform_id' => $api['platform_id']]);
        if ($info) {
            foreach ($info as $k => $v) {
                $type[$v['id']] = $v['name'];
            }
        }
    }
}
return array
(
    'name' => '请求体通用参数配置',
    'order' => 'id asc',
    'struct' => array
    (
        'platform_id' => array
        (
            'name'      => '平台id',
            'type'      => 'int(11)',
        ),

        'key' => array
        (
            'name'      => '参数名',
            'type'      => 'varchar(150)',
        ),

        'value' => array
        (
            'name'      => '参数值',
            'type'      => 'varchar(150)',
        ),

        'type' => array
        (
            'name'      => '参数类型',
            'type'      => 'tinyint(1)',
            'default'   => '-1',
            'value'     => $type,
        ),
    ),
);